<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html">

<h:head>
	<title>Tabela de Produtos</title>
</h:head> 
<h:body> 
	<div id="divCenter">
	<h:outputText value="Estatística de Consumo - Tabela de Produtos"></h:outputText>
	<h:form>
	<br/>
	<h:dataTable value="#{consumoMBean.listaProdutos}" var="produto">
		<h:column>
			<f:facet name="header">Produto</f:facet>
			#{produto.descricao}
		</h:column>
		<h:column>
			<f:facet name="header">Quantidade de Venda</f:facet>
			#{consumoMBean.quantidadeProdutoVendido(produto)}
		</h:column>
		<h:column>
			<f:facet name="header">Valor Arrecadado</f:facet>
			#{consumoMBean.valorArrecadadoProduto(produto)}	
		</h:column>
		<h:column>
			<f:facet name="header">Total de Clientes que Consumiram</f:facet>		
			#{consumoMBean.totalClienteConsumiram(produto)}	
		</h:column>
	</h:dataTable>
	
	<br/>
	<h:commandButton action="#{loginMBean.menuPrincipal}" value="Voltar para o Menu Principal"></h:commandButton>
	<h:commandButton action="menuEstatistica" value="Voltar" style="margin-left: 190px"></h:commandButton>
	</h:form>
	</div>
	<style type="text/css">
		* { margin: 0; padding: 0; font-family:Tahoma; font-size:9pt;}
			
			#divCenter {
				background-color: #e1e1e1;
				width: 400px;
				height: 320px;
				left: 50%;
				margin: -130px 0 0 -210px;
				padding:10px;
				position: absolute;
				top: 50%; 
			}
	</style>
</h:body> 
</html>
